<template>
  <LessonDesc
    :lesson-num="lessonNum"
    :tasks="tasks"
    has-playground
  >
    <template #desc>
      <div class="space-y-4">
        <div class="font-bold">
          Test exam #1
        </div>
        <div class="prose">
          This test will be about creating a task list manager.
          We will use Mock JSON server for fetching and updating todos.
          Use of axios is recommended. (Should be preinstalled in the project)
        </div>
        <div>Fake API can be found here: <a href="https://jsonplaceholder.typicode.com/">https://jsonplaceholder.typicode.com/</a></div>
        <div>
          <div>
            We will be using:
          </div>
          <ul class="list-disc pl-4 mt-2">
            <li>
              <span class="font-bold">GET</span>
              users
            </li>
            <li>
              <span class="font-bold">POST</span>
              todos
            </li>
            <li>
              <span class="font-bold">GET</span>
              todos
            </li>
          </ul>
        </div>
        <div>
          Design will be provided in Zeplin,
          your are allowed and encouraged to use the CSS from it.
          Design doesn't need to be pixel perfect but it should roughly look like provided.
        </div>
        <div>Design link: <a href="https://zpl.io/g8oGD6O">Link</a></div>
        <div class="font-semibold">
          General info about task (IMPORTANT)
        </div>
        <div>
          This test doesn't need to adhere to some specific solution or best practices.
          What is important is that it somehow works (no matter the uglyness),
          do it how ever you know or can. You may use Vuex or abuse computed
          but just do what you are most comfortable doing.
          Also keep in mind that it's not a race. This task doesn't need to be completed 100%.
          Not completing every task on the list is not such a huge deal.
        </div>
      </div>
    </template>
    <template #playground>
      Uncomment me for playground
    </template>
  </LessonDesc>
</template>

<script>
import LessonDesc from '@/components/LessonDesc.vue';

export default {
  name: 'Lesson4',
  components: {
    LessonDesc,
  },
  data() {
    return {
      lessonNum: 4,
      tasks: [
        'At page landing we should call APIs and fetch "users" and "todos"',
        '<div class="font-bold">Left section:</div><ul class="list-disc ml-4"><li>List all users</li><li>Plus button creates new draft todo</li><li>Trash button deletes todo (both draft and non draft)</li><li>Save button uploades todos to the api and marks them as non-draft</li><li>Admin is able to create as many todos as he wants and delete all todos which means there can be no todos. (Hint: add placeholder)</li></ul>',
        '<div class="font-bold">Right section:</div><ul class="list-disc ml-4"><li>Show all draft todos</li><li>Sequence is not important</li><li>Groups todos like provided in design</li></ul>',
        'Scrollbar doesnt need to be by design but is requested by designer',
      ],
    };
  },
};
</script>
